PSA: PNaCl toolchain update to LLVM 3.4

Showing 1-1 of 1 messages
PSA: PNaCl toolchain update to LLVM 3.4 JF Bastien 3/12/14 7:27 PM
Hello Native Client,

We just landed LLVM 3.4 support in the canary toolchain. The PNaCl
translator (the part that translates portable pexe to native
executables on the client device) will still use LLVM 3.3 for Chrome
33 and 34. Chrome 35's stable toolchain as well as its PNaCl
translator will be based on LLVM 3.4.

As always, pexe files created with Chrome 31 toolchains and later
(first PNaCl release) will still work with newer versions of Chrome,
they simply won't benefit from all the cool new things LLVM 3.4 has to
offer:
  http://llvm.org/releases/3.4/docs/ReleaseNotes.html

You can download a new SDK from:
  http://developer.chrome.com/native-client

You can update your canary SDK with:
  ./naclsdk update pepper_canary --force

Check your LLVM version with:
  ./pepper_canary/toolchain/linux_pnacl/bin/pnacl-clang -v